"""Плагин телеметрии для GLT CLI."""

from typing import Dict, Any

from . import BasePlugin


class TelemetryPlugin(BasePlugin):
    """Плагин для телеметрии."""
    
    def get_name(self) -> str:
        return "telemetry"
    
    def get_version(self) -> str:
        return "1.0.0"
    
    def on_post_compile(self, context: Dict[str, Any]) -> None:
        """Отправляет метрики после компиляции."""
        project_name = context.get("project_name", "unknown")
        duration = context.get("duration", 0)
        
        from rich.console import Console
        console = Console()
        console.print(f"[dim]📊 Метрика: {project_name} скомпилирован за {duration:.2f}s[/dim]") 