"""Плагин валидации для GLT CLI."""

from typing import Dict, Any

from . import BasePlugin


class ValidationPlugin(BasePlugin):
    """Плагин для дополнительной валидации."""
    
    def get_name(self) -> str:
        return "validation"
    
    def get_version(self) -> str:
        return "1.0.0"
    
    def on_validate(self, context: Dict[str, Any]) -> bool:
        """Выполняет дополнительную валидацию."""
        from rich.console import Console
        console = Console()
        
        # Проверяем наличие обязательных полей
        if not self.config.meta.name:
            console.print("[yellow]⚠️  Предупреждение: имя модуля не указано[/yellow]")
            return False
        return True 